# Ev::iteration

(PECL ev >= 0.2.0)

Ev::iteration — Return the number of times the default event loop has polled for new events

### Description

final public static Ev::iteration ( void ) : int

Return the number of times the event loop has polled for new events. Sometimes useful as a generation counter.

### Parameters

This function has no parameters.

### Return Values

Returns number of polls of the default event loop.

### See Also

- Ev::depth() - Returns recursion depth